# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "tronic"
version = "0.5.6"
authors = ["39george <39george.enjoy@gmail.com>"]
build = "build.rs"
exclude = [
    "/.github",
    "/.gitignore",
    "/examples",
    "/target",
    "Makefile",
    "*.sh",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A modular, async-first Rust client for the Tron blockchain."
homepage = "https://github.com/39george/tronic"
documentation = "https://docs.rs/tronic"
readme = "README.md"
keywords = [
    "tron",
    "blockchain",
    "smart-contracts",
    "grpc",
    "rust",
]
categories = [
    "cryptography",
    "network-programming",
    "api-bindings",
    "asynchronous",
    "finance",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/39george/tronic"

[features]
mock-provider = []
tonic-tls = [
    "tonic/tls-native-roots",
    "tonic/_tls-any",
    "dep:rustls",
]

[lib]
name = "tronic"
path = "src/lib.rs"

[[test]]
name = "main"
path = "tests/main.rs"

[dependencies.alloy-primitives]
version = "1.4"
features = ["serde"]

[dependencies.alloy-sol-macro]
version = "1.4"

[dependencies.alloy-sol-types]
version = "1.4"

[dependencies.async-trait]
version = "0.1"

[dependencies.bitvec]
version = "1.0"

[dependencies.bon]
version = "3.8"

[dependencies.bs58]
version = "0.5"
features = ["check"]

[dependencies.derivative]
version = "2.2"

[dependencies.derive_more]
version = "2.0"
features = [
    "mul",
    "sum",
]

[dependencies.eyre]
version = "0.6"

[dependencies.futures]
version = "0.3"

[dependencies.getset]
version = "0.1"

[dependencies.hex]
version = "0.4"

[dependencies.http]
version = "1.3"

[dependencies.k256]
version = "0.13"

[dependencies.prost]
version = "0.14"

[dependencies.prost-types]
version = "0.14"

[dependencies.rand]
version = "0.9"

[dependencies.rustls]
version = "0.23"
features = ["ring"]
optional = true
default-features = false

[dependencies.secrecy]
version = "0.10"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.sha3]
version = "0.10"

[dependencies.strum]
version = "0.27"

[dependencies.strum_macros]
version = "0.27"

[dependencies.thiserror]
version = "2.0"

[dependencies.time]
version = "0.3"
features = [
    "local-offset",
    "macros",
    "parsing",
]

[dependencies.tokio]
version = "1.48"

[dependencies.tonic]
version = "0.14"

[dependencies.tonic-prost]
version = "0.14"

[dependencies.tower]
version = "0.5"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.portpicker]
version = "0.1"

[dev-dependencies.reqwest]
version = "0.12"
features = ["json"]

[dev-dependencies.static_init]
version = "1.0"

[dev-dependencies.tokio]
version = "1.48"
features = [
    "signal",
    "rt-multi-thread",
    "process",
]

[build-dependencies.tonic-prost-build]
version = "0.14"
